## com.saxonica.serialize
Class XQueryEmitter

    java.lang.Object
      net.sf.saxon.serialize.Emitter
          net.sf.saxon.serialize.XMLEmitter
              com.saxonica.serialize.XQueryEmitter

All Implemented Interfaces:
  Result, Receiver

    public class XQueryEmitter

extends XMLEmitter

The XQueryEmitter is designed to serialize an XQuery that was originally embedded in an XML document. It is a variant of the XMLEmitter, and differs in that the operators <, >, <=, >=, <<, and << are output without escaping. They are recognized by virtue of the fact that they appear in text or attribute content between curly braces but not in quotes.

Field Summary

Fields inherited from class net.sf.saxon.serialize.XMLEmitter
`declarationIsWritten, elementCode, elementStack, openStartTag, preferHex, started, startedElement, undeclareNamespaces`

Fields inherited from class net.sf.saxon.serialize.Emitter
`allCharactersEncodable, characterSet, namePool, outputProperties, outputStream, pipelineConfig, streamResult, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`XQueryEmitter()`

Method Summary
`protected void` `writeEscape(CharSequence chars, boolean inAttribute)` Write contents of array to current writer, after escaping special characters.

Methods inherited from class net.sf.saxon.serialize.XMLEmitter
`attribute, characters, close, closeStartTag, comment, emptyElementTagCloser, endDocument, endElement, getCachedName, namespace, open, openDocument, outputCharacterReference, processingInstruction, putCachedName, startContent, startDocument, startElement, testCharacters, usesTypeAnnotations, writeAttribute, writeCharSequence, writeDeclaration, writeDocType`

Methods inherited from class net.sf.saxon.serialize.Emitter
`getConfiguration, getOutputProperties, getOutputStream, getPipelineConfiguration, getSystemId, getWriter, makeOutputStream, makeWriter, setOutputProperties, setOutputStream, setPipelineConfiguration, setStreamResult, setSystemId, setUnparsedEntity, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQueryEmitter

    public XQueryEmitter()

Method Detail

### writeEscape

    protected void writeEscape(CharSequence chars,
                               boolean inAttribute)
                        throws IOException,
                               XPathException

  Write contents of array to current writer, after escaping special characters. This method converts the XML special characters (such as < and &) into their predefined entities.

  Overrides:
    `writeEscape` in class `XMLEmitter`
  Parameters:
    `chars` - The character sequence containing the string
    `inAttribute` - Set to true if the text is in an attribute value
  Throws:
    `IOException`
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.